## oxygen-fonts 0.3~git20130121-0ubuntu1

=== debian/changelog ===
oxygen-fonts (0.3~git20130121-0ubuntu1) raring; urgency=low

  * Initial package

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 28 Feb 2012 00:29:01 +0100

## oxygen-fonts 5.4.3

=== CMakeLists.txt ===
project(OxygenFont)
set(PROJECT_VERSION "5.4.3")
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.2.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/OxygenFont")

include(ECMPackageConfigHelpers)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX OXYGENFONT
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/OxygenFontConfigVersion.cmake"
)

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/OxygenFontConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/OxygenFontConfig.cmake"
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/OxygenFontConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/OxygenFontConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if(NOT DEFINED OXYGEN_FONT_INSTALL_DIR)
  set(OXYGEN_FONT_INSTALL_DIR  ${CMAKE_INSTALL_PREFIX}/${SHARE_INSTALL_PREFIX}/fonts/truetype/oxygen)
endif()

find_program(FONTFORGE_EXECUTABLE NAMES fontforge)
if(FONTFORGE_EXECUTABLE)
    message(STATUS "FontForge found: ${FONTFORGE_EXECUTABLE}")
else()
    message(FATAL_ERROR "Could not find FontForge executable")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_custom_target(regular ALL fontforge ${CMAKE_CURRENT_SOURCE_DIR}/generate-ttf.pe
                   ${CMAKE_CURRENT_SOURCE_DIR}/oxygen-fonts/Regular-400/src/Oxygen-Sans.sfd
                   ${CMAKE_CURRENT_BINARY_DIR}/Oxygen-Sans.ttf
                  )
add_custom_target(bold ALL fontforge ${CMAKE_CURRENT_SOURCE_DIR}/generate-ttf.pe
                   ${CMAKE_CURRENT_SOURCE_DIR}/oxygen-fonts/Bold-700/src/Oxygen-Sans-Bold.sfd
                   ${CMAKE_CURRENT_BINARY_DIR}/Oxygen-Sans-Bold.ttf
                  )
add_custom_target(mono ALL fontforge ${CMAKE_CURRENT_SOURCE_DIR}/generate-ttf.pe
                   ${CMAKE_CURRENT_SOURCE_DIR}/oxygen-fonts/mono-400/src/OxygenMono-Regular.sfd
                   ${CMAKE_CURRENT_BINARY_DIR}/OxygenMono-Regular.ttf
                  )

set(fontFiles
    ${CMAKE_CURRENT_BINARY_DIR}/OxygenMono-Regular.ttf
    ${CMAKE_CURRENT_BINARY_DIR}/Oxygen-Sans-Bold.ttf
    ${CMAKE_CURRENT_BINARY_DIR}/Oxygen-Sans.ttf
)

install(FILES ${fontFiles} DESTINATION ${OXYGEN_FONT_INSTALL_DIR})

## oxygen-fonts 0.4~git20140212

=== debian/changelog ===
oxygen-fonts (0.4~git20140212-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 17:45:52 +0000

=== debian/control ===
Source: oxygen-fonts
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16)
Standards-Version: 3.9.2

Package: ttf-oxygen-font-family
Architecture: any
Depends: ${misc:Depends}
Description: Oxygen font family
 Font family for integrated use with the Plasma workspace.

## oxygen-fonts 5.2.2

=== debian/changelog ===
oxygen-fonts (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:42:00 -0700

oxygen-fonts (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:46:29 -0800

oxygen-fonts (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:58:38 +0100

oxygen-fonts (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:35:03 +0100

oxygen-fonts (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:25:47 +0100

oxygen-fonts (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:51:07 +0100

oxygen-fonts (4:5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream beta release
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:50:20 +0200

oxygen-fonts (0.4.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:28:59 -0700

oxygen-fonts (0.4.0.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 17:09:06 +0200

oxygen-fonts (0.4.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:31:06 +0200

oxygen-fonts (0.4~really0.3.98-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:45:24 +0200

oxygen-fonts (0.4~really0.3.97-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 May 2014 13:30:02 +0100

oxygen-fonts (0.4-0ubuntu1~ubuntu14.04~ppa2) trusty; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 20 Feb 2014 17:45:52 +0000

=== debian/control ===
Source: oxygen-fonts
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               fontforge,
               pkg-kde-tools,
               qtdeclarative5-dev
Standards-Version: 3.9.5

Package: ttf-oxygen-font-family
Architecture: any
Depends: ${misc:Depends}
Description: Oxygen font family
 Font family for integrated use with the Plasma workspace.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/oxygen-fonts-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/oxygen-fonts-(.*)\.tar\.xz

## oxygen-fonts 5.4.2

=== debian/changelog ===
oxygen-fonts (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:59:23 +0100

oxygen-fonts (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:22:33 +0100

oxygen-fonts (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:54:34 +0100

oxygen-fonts (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fix FTBFS caused because cmake can't find qmake properly and execute
    'qmake -query "QT_INSTALL_PLUGINS"':
    - add qt5-qmake and qtbase-dev to build depends
    - add 'export QT_SELECT=5' to debian/rules

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:19:15 +0200

oxygen-fonts (4:5.3.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 11:48:25 -0700

oxygen-fonts (4:5.3.2-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fix transitional fonts-oxygen Breaks/Replaces versioning, set it to
    (<< 4:5.3.1-0ubuntu2) which is the first version providing the transitional
    package.
  * Set priority extra for ttf-oxygen-font-family transitional package,
    fixes a lintian warning; all transitional packages must be
    oldlibs/extra.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:36:29 +0000

oxygen-fonts (4:5.3.1-0ubuntu3) wily; urgency=medium

  * Add missing depends to transitional

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Jun 2015 11:50:24 +0200

oxygen-fonts (4:5.3.1-0ubuntu2) wily; urgency=medium

  * Add transitional

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Jun 2015 15:29:53 +0200

oxygen-fonts (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 20:32:48 +0200

oxygen-fonts (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 17:15:29 +0200

oxygen-fonts (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:26 +0100

oxygen-fonts (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update watch file.
  * Update copyright information.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Feb 2015 15:28:42 +0100

## oxygen-fonts 5.4.3

=== debian/changelog ===
oxygen-fonts (4:5.4.3-4) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Sandro Knauß ]
  * Update debian watch to point to the propper place to download the
    tarball.
  * Switch to dh sequencer.
  * Bump to dh 13 (use execute_after_dh_auto_install instead of
    override_dh_auto_install).
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Add Rules-Requires-Root.
  * Cleanup not needed Breaks/Replaces.
  * Remove maxy from Uploades and add myself.

 -- Sandro Knauß <hefee@debian.org>  Mon, 28 Dec 2020 22:19:10 +0100

oxygen-fonts (4:5.4.3-3) unstable; urgency=medium

  * Team upload.
  * add-metainfo.patch: Add AppStream metainfo file
  * Bump dh compat level
  * Update homepage URL

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Jan 2017 21:40:21 +0100

oxygen-fonts (4:5.4.3-2) unstable; urgency=medium

  * Team upload.
  * Remove the transitional package ttf-oxygen-font-family, never part of a
    stable Debian version:
    - remove the forced destdir when installing
    - remove the cmake configuration files from the install directory
    - remove debian/install and debian/not-installed, no more useful now
  * Remove the extra qt5-qmake build dependency (qtbase5-dev is enough).
  * Migrate watch file to version 4, and stop watching unstable versions.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 17:54:12 +0200

oxygen-fonts (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:45 +0100

oxygen-fonts (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:57 +0200

oxygen-fonts (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:05 +0200

oxygen-fonts (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 18:26:58 +0200

oxygen-fonts (4:5.3.2-2) unstable; urgency=medium

  * Team upload.
  * Add qtbase5-dev to build-depends to fix FTBFS (Closes: #796447)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Aug 2015 17:55:47 -0400

oxygen-fonts (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

  [ José Manuel Santamaría Lema ]
  * Fix transitional fonts-oxygen Breaks/Replaces versioning, set it to
    (<< 4:5.3.1-0ubuntu2) which is the first version providing the transitional
    package.
  * Set priority extra for ttf-oxygen-font-family transitional package,
    fixes a lintian warning; all transitional packages must be
    oldlibs/extra.

  [ Jonathan Riddell ]
  * New upstream release

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 23:20:29 +0200

=== debian/control ===
Source: oxygen-fonts
Section: fonts
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.2.0),
               fontforge,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://cgit.kde.org/oxygen-fonts.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen-fonts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen-fonts.git

Package: fonts-oxygen
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Oxygen font family
 Desktop/gui font family for integrated use with the KDE desktop.
 .
 The basic concept for Oxygen Font is to design a clear, legible, sans serif
 font which would be rendered with Freetype on Linux-based devices. In addition
 a bold weight, plus regular and bold italics, and a monospace version will be
 made.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_install:
	# remove cmake configuration files, useless for now
	rm -rfv $(CURDIR)/debian/fonts-oxygen/usr/lib/

=== debian/watch ===
version=4
https://download.kde.org/Attic/plasma/([\d.]+)/oxygen-fonts-([\d.]+)\.tar\.xz
